Subject: Re: [PATCH 3/3] pack-bitmap.c: use commit boundary during bitmap traversal

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 May 2023 14:58:34 -0700

Taylor Blau <[email-masked]> writes:

> Hmm. This is from code that Peff and I wrote together a long time ago.
> My recollection is that we only care about the UNINTERESTING commits
> between the tips and boundary (as you described it), but no further, and
> that we could discover that set during limit_list() alone.
>
> But maybe not? I honestly cannot remember. Perhaps Peff does?

Yes, that matches my understanding.

By the time you finish limit_list(), from the "revision traversal"
point of view, you have done all the hard work already, sifting
commits between the ones that are and are not interesting.  I am
surprised that whatever you learn only after reaching that point is
still helpful to optimize some operations.